#!/bin/bash
# Run from the distribution/bin directory.

# Where is the distribution containing this file?
dist=$(readlink -f $(dirname ${BASH_SOURCE})/..)
echo ${dist}

# Make a class path containing all the jars in the distribution.
CLASSPATH=""
for jar in ${dist}/share/java/*.jar; do
    CLASSPATH=${CLASSPATH}:${jar}
done
export CLASSPATH

# Make sure that the dynamic linker can find the native library.
export LD_LIBRARY_PATH=${dist}/lib/jni

# Run the main in the test class.
java org.lsst.ccs.drivers.iocard.TestAccesDio
